## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate sequoia-sqv

%global __brp_mangle_shebangs_exclude_from ^/usr/src/debug/.*$

Name:           rust-sequoia-sqv
Version:        1.3.0.1
Release:        %autorelease
Summary:        Simple OpenPGP signature verification program

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-sqv
# The version 1.3.0 upstream + patches from jjelen/pqc branch
# Generated using:
#  git archive --format=tar.gz --prefix sequoia-sqv-1.3.0.1/ -o sequoia-sqv-1.3.0.1.tar.gz jjelen/pqc
Source0:        %{crate}-%{version}.tar.gz

# Generated using cargo-vendor-filterer:
#   cargo vendor-filterer --platform x86_64-unknown-linux-gnu \
#                         --platform powerpc64le-unknown-linux-gnu \
#                         --platform aarch64-unknown-linux-gnu \
#                         --platform i686-unknown-linux-gnu \
#                         --platform s390x-unknown-linux-gnu \
#                         --all-features
#   tar -czf ../%%{crate}-vendor-%%{version}.tar.gz vendor
Source1:        %{crate}-vendor-%{version}.tar.gz
Source2:        vendor.toml
# Manually created patch for downstream crate metadata changes
# * switch crypto backend from Nettle to OpenSSL
# * exclude files that are only useful for upstream development
# * drop features for unsupported crypto backends
Patch:          sequoia-sqv-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  cargo-rpm-macros >= 24
%endif

# vendored openssl-sys
BuildRequires:  openssl-devel

%global _description %{expand:
A simple OpenPGP signature verification program.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# BSL-1.0
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
    LGPL-2.0-or-later AND
    Apache-2.0 AND
    BSD-3-Clause AND
    BSL-1.0 AND
    MIT AND
    Unicode-DFS-2016 AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_bindir}/sqv
%{_mandir}/man1/sqv*
%if 0%{?rhel} > 9
%{bash_completions_dir}/sqv.bash
%{fish_completions_dir}/sqv.fish
%{zsh_completions_dir}/_sqv
%endif

%prep
%autosetup -n %{crate}-%{version} -N -a1
%autopatch -M 99 -p1
%cargo_prep -N
# include full configuration for vendored dependencies
cat %{SOURCE2} >> .cargo/config.toml

%build
export ASSET_OUT_DIR=target/assets
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}
# replace un-parseable git snapshot dependency information
sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt

%install
# for some reason, cargo install does not work
# with vendored dependncies from git branch
#%%cargo_install
install -Dpm 0755 target/rpm/sqv -t %{buildroot}/%{_bindir}
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav target/assets/man-pages/sqv*.1 %{buildroot}/%{_mandir}/man1/
%if 0%{?rhel} > 9
# install shell completions
install -Dpm 0644 target/assets/shell-completions/sqv.bash \
    %{buildroot}/%{bash_completions_dir}/sqv.bash
install -Dpm 0644 target/assets/shell-completions/sqv.fish \
    %{buildroot}/%{fish_completions_dir}/sqv.fish
install -Dpm 0644 target/assets/shell-completions/_sqv \
    %{buildroot}/%{zsh_completions_dir}/_sqv
%endif


%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Jakub Jelen <jjelen@redhat.com> - 1.3.0.1-1
- Pull PQC crypto to sqv

* Thu Mar 27 2025 Jakub Jelen <jjelen@redhat.com> - 1.3.0-2
- Make installation of shell completions and man pages more robust

* Tue Mar 25 2025 Jakub Jelen <jjelen@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.2.1-3
- Bump release for October 2024 mass rebuild:

* Thu Aug 22 2024 Stanislav Zidek <szidek@redhat.com> - 1.2.1-2
- initial CI and gating setup

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Initial package

## END: Generated by rpmautospec
